/* Copyright 1995 by Shay Cohen.
 * All rights reserved
 *
 * You may distribute this program freely, under some circumstances:
 * You may not remove my name from the source or documentation, mark
 * your changes if you make ones, don't change or remove this notice.
 * I am not responsible for any possible damage caused by this program,
 * and the responsiblty rests entirely with the user.
 *
 * You can reach me for bug reports, suggestions, comments and life
 * threats as follows:
 * InterNet - shay@aquanet.co.il.
 * FidoNet - 2:403/423 (Shay Cohen).
*/

/* Error messages definitions: */
#define ERROR_SOCKWRITE "Error writing to the socket!\n"
#define ERROR_SOCKREAD  "Error reading from the socket!\n"
#define ERROR_FILEMSGID "Error openning file for message-id's!\n"
#define ERROR_FILEARTICLE "Error openning file for article output!\n"
#define ERROR_PKTCREAT "Error creating new fido packet!\n"
#define ERROR_PKTCLOSE "Error closing the fido packet!\n"
#define ERROR_PKTOPEN "Error openning fido packet to post!\n"
#define ERROR_GROUPSOPEN "Error openning newsgroups file!\n"
#define ERROR_NOAREA "No area defined in the message!\n"
#define ERROR_NOGROUP "No newsgroup is defined for the folder!\n"
#define ERROR_NOTALLOWED "This newsgroup doesn't accept postings!\n"

/* Tear line in posted messages */
#define MSG_TEAR "! UsePkt 0.4b !\n"

/* File names */
#define NEWNEWSFILE "/tmp/news.new"
#define RECOVERFILE "/tmp/news.taken"
#define NEWSGROUPSFILE ".usepktnews"
#define NEWSSUBJECTSFILE ".usepktsubj"

/* You shouldn't really change the following lines */ 
#define BUFSIZE 512
#define HEADER 0
#define BODY 1

#define NEWLINE 0
#define ENDOFMSG 1

#define ALLOWED 1
#define NOTALLOWED 0
